%
% Cauchy1.m
%
function [val] = Cauchy1(M,N,h,u)
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
% Cauchy1(M,N,h,u) computes a vector
% of the Caichy transformed sinc functions
% c_j defined in Sec. 1.5.12 -- see 
% Eq. (1.5.78) -- for performing the 
% Cauchy transform over the real line.
%
m = M+N+1;
n = length(u);
%
v = pi/h*u;
p = 2*pi*i;
%
for j=1:n
    for k=1:m
        kk = k - M - 1;
        ww = kk*pi;
        narg = v(j) - ww;
        darg = p*(u(j)-k*h);
        if abs(darg) > eps
           val(j,k) = h*(exp(i*narg) - 1)/darg;
        else
           val(j,k) = 0;
        end
    end
end
%


