function [array] = D6_2(M,N,h)
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
% This is the Sinc matrix for 
% approximating the second derivative 
% of a  function on the whole real line,
% which is approximated via use of the 
% phi(x) = log(x + sqrt(1+x^2)) 
% transformation in the sum
% sum_{-M}^N f(z_k) S(k,h)(phi(x))
%
m = M+N+1;
z = Sincpoints6(M,N,h);
w = weights6(M,N,h);
for j = 1:m
    d = phi6_2(z(j));
    dh(j) = d/h;
    e2(j) = 1/w(j)^2;
end
A = diag(dh);
B = diag(e2);
%
array = A*Ip1(m) + B*Ip2(m);
