%
% 'In3_m.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
function [array] = Int3_m(M,N,h)
% This is the Sinc matrix for 
% approximating the indefinite integral
% of a function defined on (a,infinity)
% from  x to infinity.  The details are 
% in Sec. 1.4.8 of this tutorial.  In 
% essence, this routine 
% gives  the matrix 
% B = h (I^{-1})^T D(1/phi').  
% If F(x) = int_x^infinity f(t) dt, then,
% in terms of the opertor  V  defined in 
% Definition 4.3.12,  VF  = B Vf. 
%
m = M+N+1;
B = Im(m);
B = B.';
w = weights3(M,N,h);
W = diag(w);
array = B.'*W;
%
