%
% `Int4_m.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
function [array] = Int4_m(M,N,h)
% This is the Sinc matrix for 
% approximating the indefinite integral
% of a function defined on (0,infinity)
% from  x to infinity.  The details are 
% in Sec. 4.3.8 of this tutorial.  In 
% essence, this routine 
% gives  the matrix 
% A = h (I^{-1})^T D(1/phi').  
% If F(x) = int_x^infinity f(t) dt, then,
% in terms of the opertor  V  defined in 
% Definition 4.3.12,  VF  = A Vf. 
%
m = M+N+1;
B = Im(m);
B = B.';
w = weights4(M,N,h);
for j=1:m
    for k=1:m
        A(j,k) = w(k)*B(j,k);
    end
end
array = A;
%
