%
% 'Int7_m.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
function [array] = Int7_m(u,v,M,N,h)
% This is the Sinc matrix for 
% approximating the indefinite integral
% of a function defined on an arc, (u,v) 
% along the arc, from  x to v.  The 
% details are 
% in Sec. 4.3.8 of this tutorial.  In 
% essence, this routine 
% gives  the matrix 
% A = h (I^{-1})^T D(1/phi').  
% If F(x) = int_u^x f(t) dt, then,
% in terms of the opertor  V  defined in 
% Definition 4.3.12,  VF  = A Vf. 
%
m = M+N+1;
B = Im(m);
B = B.';
w = weights7(u,v,M,N,h);
W = diag(W);
array = B*W;
%
