%
% 'Ip1.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
function [array] = Ip1(m)
% 
% This is the matrix I^{(1)} 
%
% See Problem 1.2.6 (i) or Eq. (1.3.15) 
% and Sec. 1.4.5 of  the tutorial.
%
% Ip1(j,k) = S(k,1)'(j)
%   = (-1)^{j-k}/(j-k) if j not eq k
% Ip1(j,j) = 0               
%
tt(1) = 0;
T = 1;
Q = 1;
for j=2:m 
    tt(j) = T;
    Q = - Q;
    T = Q/j;
end
%
for k=1:m
    for j=1:k;
        TT = tt(k+1-j);
        Ip1(j,k) = TT;
        Ip1(k,j) = -TT;
    end
end
%
array = Ip1;
%
