%
% 'Ip3.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
function [array] = Ip3(m)
% 
% This is the matrix I^{(3)} 
% See Problem 1.2.6 (i) or Eq. (1.3.15)
% and Sec. 1.4.5 of  the tutorial.
%
% Ip3(j,k) = S(j,1)^{3}(k)
%   = -pi^2 (-1)^{j-k}/(j-k) +
%      + 6 (-1)^{j-k}/(j-k)^3 if j not eq k
% Ip1(j,j) = 0
%
tt(1) =  0;
Q=-1;
for j=2:m
J = j-1;
    T = Q/J*(6/J^2-pi^2);
    tt(j) = T;
    Q = -Q;
end
%
for k=1:m
    for j=1:k;
        TT = tt(k+1-j);
        Ip3(j,k) = TT;
        Ip3(k,j) = -TT;
    end
end
%
array = Ip3;
