%
% 'Ip6.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
function [array] = Ip6(m)
% 
% This is the matrix I^{(6)} 
% See Problem 1.2.6 (i) or Eq. (1.3.15)
% and Sec. 1.4.5 of  the tutorial.
%
% Ip6(j,k) = S(j,1)'(k).
% Then, with J = j-k, 
% Ip6(j,k) 
%   = (-1)^J/J^2{-6 pi^4 + 120 pi^2/J^2 - 720/J^4}

 if j not eq k
% Ip1(j,j) = 0
%
tt(1) =  - pi^6/7.0;
Q=1;
for j=2:m
    J = (j-1)^2;
    T = Q/J^2*(-6*pi^4 + 120*pi^2/J - 720/J^2);
    tt(j) = T;
    Q = -Q;
end
%
for k=1:m
    for j=1:k;
        TT = tt(k+1-j);
        Ip6(j,k) = TT;
        Ip6(k,j) = TT;
    end
end
%
array = Ip6;
