%
% `Sincpoints5.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
function [z] = Sincpoints5(M,N,h)
%
% Here, the formula is 
%
%    z(j) = sinh(j*h)
%
% for j = -M, ..., N .  This program thus 
%
% thus computes a vector of m = M+N+1 
% 
% values.  See Example 4.3.8, this tutorial.
%
m = M+N+1;
T = exp(h);
TT = 1/T^M;
for j=1:m
    z(j) = (TT - 1.0/TT)/2.0;
    TT = T*TT;
end
    
