%
% `Sincpoints7.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
function [z] = Sincpoints7(u,v,M,N,h)
%
% Here, with UV2 = exp(i*(v-u)/2), and V = exp(iv),
%
% and TT = exp(j*h), the formula is 
%
%    z(j) = (TT + 1/UV2)/(TT + UV2) * V
%
% for j = -M, ..., N .  This program thus 
%
% thus computes a vector of m = M+N+1 
% 
% values.  See Example 4.3.10, this tutorial.
%
m = M+N+1;
%
for j = 1:m
    z(j) = psi7(u,v,(j-M-1)*h);
end
