function [array] = conv1_mat(X,FF)
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
% 
% Let F denote the "Laplace transform"
% of a function f, and let A denote an 
% indefinite integration matrix, so that 
% for integration from a to x, 
% A =  h I^{(-1)} D(1/phi') = X S X^{-1},
% whereas for integration from x to b, 
% A = h (I^{(-1)})^T D(1/phi') 
% = X S X^{-1}.  Here S is a diagonal
% matrix with entries
%   (s_{-M}\,, \ldots\,,\ s_N)
% A diagonal matrix, FF, is then formed 
% externally, with j'th diagonal element 
% s_j.  The program then outputs 
%
% F(A) = X FF X^{-1}
% 
array = X * FF * inv(X);
