function [array] = conv4_vec(W,m1,X,m2,Y,m3,Z,m4,F,g)
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
% Here A = W*R*W^{-1}, (m1 x m1)
% B = X*S*X^{-1}, (m2 x m2), 
% C = Y*T*Y^{-1}, (m3 x m3) , and 
% D = Z*U*Z^{-1} (m4 x m4) 
% are integration matrixes
% defined as in Sec. 1.5.8 of the manual
% while F and g (both (m1 x m2 x m3 x m4)) 
% are externally defined matrices, based 
% on (an extension of) Algorithm 2.5.2 of 
% the manual. 
%
% The present algorithm uses the 
% algorithm conv3_vec.m , which in turn 
% uses conv2_vec.m
%
Wi = inv(W);
%
for j=1:m2
    for k=1:m3
        for l=1:m4
            pp = g(:,j,k,l);
            qq = Wi*pp;
            for ii = 1:m1
                h(ii,j,k,l) = qq(ii);
            end
            % h(ii,j,k,l)
        end
    end
end
%
clear g pp qq
%
for ii=1:m1
   for j=1:m2
      for k=1:m3
         for l=1:m4
            HH(j,k,l) = h(ii,j,k,l);
            GG(j,k,l) = F(ii,j,k,l);
         end
      end
   end
   Q = conv3_vec(X,m2,Y,m3,Z,m4,GG,HH);
   for j=1:m2
      for k=1:m3
         for l=1:m4
	         q(ii,j,k,l) = Q(j,k,l);
         end
      end
   end
   % q(ii,j,k,l)
end
%
clear HH GG h Q F
%
for j=1:m2
    for k=1:m3
       for l=1:m4
           pp = q(:,j,k,l);
           qq = W*pp;
           for ii = 1:m1
               p(ii,j,k,l) = qq(ii);
           end
       end
   end
end
%
clear qq pp F
%
array = p;

