%
% 'der_test33.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
% This program is an example for approximating the 
% derivative of exp(x) on (0,1), via use of both 
% differentiation of the Sinc basis (D22_1.m) and 
% also using polynomial derivative method.  
% See Sec. 3.3
%
clear all
%
N=10;
m = 2*N+1;
h=pi/sqrt(N);
z = Sincpoints2(0,1,N,N,h);
%
% Exact and derivative values of ff
%
for j=1:m
     fff(j) = exp(z(j));
end
%
ff = fff.'; % Now a column vector
clear fff
%
% Values of derivative at Sinc pts.
%
fd = D22_1(0,1,N,N,h)*ff;
%
figure(1)
plot(z,fd,'o',z,ff,'-')
pause
% title('Computed & Exact Deriative of e^x on (0,1)')
% print -dps2 All_Sp.01.ps
%
figure(2)
for k=1:m-10
    fdd(k) = fd(k+5);
    fff(k) = ff(k+5);
    zz(k) = z(k+5);
end
%
plot(zz,fdd,'o',zz,fff,'-')
pause
% title('')
print -dps2 restr_der.ps
%
fp = Dpoly2_1(0,1,N,N,h)*ff;
%
figure(3)
plot(z,fp,'o',z,ff,'-')
pause
% title('Computed and Exact "Poly." Deriv. of e^x on (0,1)')
print -dps2 poly_der.ps
