%
% `ex_1.5_indef.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
% 
% Here we approximate the integral
%
%  F(x) = int_x^\infty f(t) dt
%
% where 
%
% f(t) = t^{-1/3}\,\log(t)/sqrt{1 + exp(t)}
% 
% We can use the Transformation \#3
% of Sec 4.3.4, i.e., phi(x) = log(x).
%
% Also, using an approximation sum_{-N}^N, 
% we can use h = pi(3/(2N))^{1/2} -- See 
% the discussion of Example 4.3.1.
clear all
N =10; 
m = 2*N+1;
h = pi*sqrt(1/N);
z = Sincpoints4(N,N,h);
for j=1:m
t = z(j);
ff(j) =  t^(-1/3)*log(t)/sqrt(1 + exp(t));
end
ff = ff.';
FF = Int4_m(N,N,h)*ff;
plot(z,FF)
pause
%
M = 32;
hh = pi*sqrt(1/M);
mm = 2*M+1;
y = Sincpoints4(M,M,hh);
for j=1:mm
t = y(j);
fg(j) = t^(-1/3)*log(t)/sqrt(1 + exp(t));
end
fg = fg';
FG = Int4_m(M,M,hh)*fg;
plot(y,FG)
pause
%
for j=1:m
zz(j) = y(2*N+1+ 2*(j-1));
FH(j) = FG(2*N+1+2*(j-1));
end
plot(z,FF,'+',zz,FH,'o');
   
