%
% `p_main_frank.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
% This is a main program for testing out
% some periodic basis functions defined
% in the routines basis_period.m and in
% basis_pos_per.m
%
function p_main_frank(type);

%clear all

%
Beta = 0.8;
beta = .6;
T = 2*pi;
N = 32;
M = 2*N;

if(type==1)
    f(1) = 0;
    f2(1) = 0;
    for j=1:N-1
    f(j) = -1;
    f2(j) = -1;
    end
    f(N) = 0;
    f2(N) = 0;
    for j=N+1:M-1
    f(j) = 1;
    f2(j) = 1;
    end
    f(M) = 0;
    f2(M) = 0;
elseif(type==2)
    f(1:M)=exp((0:M-1)/(M-1));
    f2=f;
elseif(type==3)
    f(1:M)=sqrt( 1 - ( ( (2*M/(M-1)) * (1:M) + M - 2*M^2/(M-1) ) ./M  ).^2 
);
    f2=f;
else
    error = 'Function type not defined.'
    return;
end

figure(1)
subplot(1,1,1)
plot(f)
pause;

g_exact = f.';
g2_exact = f2.';
for j=1:M
z(j) = j*2*pi/M;
end
step = 2*pi/300;
for j = 1:300
    y = (j-1)*step;
    x(j) = y;
    vec = basis_period(y,M,T);
    vec2 = b_p2_frank(y,N,T);
%    vec6 = b_p6_cb(y,N,T,Beta);
%    vec8 = b_p8_cb(y,N,T,Beta);
    vec6 = b_6_frank(y,N,T,Beta);
    vec8 = b_8_frank(y,N,T,Beta);
%    vec3 = b_p3_cb(y,N,T);
%    vec3 = basis_period3_jason(y,M,T);
    pos = basis_pos_per(y,M,T,beta);
    g_approx(j) = vec*g_exact;
    g2_approx(j) = vec2*g2_exact;
%    g3_approx(j) = vec3*g2_exact;
    g6_approx(j) = vec6*g2_exact;
    g8_approx(j) = vec8*g2_exact;
    p_approx(j) = pos*g_exact;
end
%
%plot(z,g_exact,'-',x,g_approx,'o',x,p_approx,x,g2_approx);
%plot(z,g_exact,'-',x,g_approx,x,p_approx,x,g2_approx);

%plot(z,g_exact,'-',x,g_approx,x,p_approx,x,g2_approx,x,g3_approx);
nf = 6; cf = 1;
subplot(nf,1,cf); cf=cf+1;
plot(z,g_exact)
title('g_exact')
subplot(nf,1,cf); cf=cf+1;
plot(x,g_approx)
title('g_approx')
subplot(nf,1,cf); cf=cf+1;
plot(x,p_approx)
title('p_approx')
subplot(nf,1,cf); cf=cf+1;
plot(x,g2_approx)
title('g2_approx')
subplot(nf,1,cf); cf=cf+1;
plot(x,g6_approx)
title('g6_approx')
subplot(nf,1,cf); cf=cf+1;
plot(x,g8_approx)
title('g8_approx')
%pause;
%plot(z,g_exact,'-',x,g_approx,'o',x,p_approx)
