%
% `period_main.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
% This is a main program for testing out 
% some periodic basis functions defined 
% in the routines basis_period.m and in 
% basis_pos_per.m
%
clear all
%
beta = 0.6;
T = 2*pi;
M = 64;
M2 = M/2;
f(1) = 0;
for j=1:M2-1
f(j) = 1;
end
f(M2) = 0;
for j=M2+1:M-1
f(j) = -1;
end
f(M) = 0;
g_exact = f.';
for j=1:M
z(j) = j*2*pi/M;
end
step = 2*pi/300;
for j = 1:300
    y = (j-1)*step;
    x(j) = y;
    vec = basis_period(y,M,T);
    pos = basis_pos_per(y,M,T,beta);
    g_approx(j) = vec*g_exact; 
    p_approx(j) = pos*g_exact;
 end
%
plot(z,g_exact,'-',x,g_approx,'o',x,p_approx);
