%
% `phi7_1.m'
%
% This program is the property of SINC, LLC
%
% returns a vector (phi7)'(x) , where
% phi7(x) = i(v-u)/2 + log((x-e^{iu})/(e^{iv}-x)),
%
% We set w = i(u+v)/2 + log((x-e^{iu})/(e^{iv}-x)),
% 
% U = exp(iu),  V = exp(iv), so that 
%
% (phi7)'(x) = 1/(x-U) + 1/(V-x)
%
function y = phi7_1(u,v,x)
%
U = exp(i*u);
V = exp(i*v);
y = 1/(x-U) + 1/(V-x);
