%
% pois_R_3.m
%
% parameters
%
M1 = 12;
N1 = M1;
m1 = M1+N1+1;
h1 = 1/sqrt(N1);
M2 = 12;
N2 = M2;
m2 = M2+N2+1;
h2 = 1.2/sqrt(M2);
M3 = M2;
N3 = N2;
m3 = m2;
h3 = h2;
%
% Sinc points
%
c = -M1*h1-h1;
for j=1:m1
   z1(j) = j*h1+c;
end
%
c = -M2*h2-h2;
for k=1:m2
   z2(k) = k*h2+c;
end
z3 = z2;
%
% Evaluate the function g
%
for j=1:m1
   for k=1:m2
      for l=1:m3
         s = 1+z2(k)^2+z3(l)^2;
         s3 = s^(1/3);
         arg = z1(j)*s3;
         C = cosh(arg);
         S = sinh(arg);
         fx = s3;
         fy = 2/3*z1(j)*z2(k)/s3^2;
         fz = 2/3*z1(j)*z3(k)/s3^2;
         fyy = 2/3*z1(j)*(1-z2(k)^2/3+z3(l)^2)/s3^5;
         fzz = 2/3*z1(j)*(1-z3(l)^2/3+z2(k)^2)/s3^5;
         py = fx^2+fy^2+fz^2;
         g(j,k,l) = -(2*S^2/C^3-1/C)*py + S/C^2*(fzz+fyy);
      end
   end
end
%
clear r2
%
% Indefinite integration matrices
%
AA = h1*Im(m1);
BB = AA.';
%
% Eigenvalues
%
[X1 S1] = eig(AA);
[Y1 T] = eig(BB);
 clear AA
clear BB
s1 = diag(S1);
%
AA = h2*Im(m2);
BB = AA.';
%
% Eigenvalues
%
[X2 S2] = eig(AA);
[Y2 T] = eig(BB);
 clear AA
clear BB
s2 = diag(S2);
%
AA = h3*Im(m3);
BB = AA.';
%
% Eigenvalues
%
[X3 S3] = eig(AA);
[Y3 T] = eig(BB);
 clear AA
clear BB
s3 = diag(S3);
%

%
% Evaluate the 3d Laplace transform
%
for j=1:m1
   for k=1:m2
      for l=1:m3
         G(j,k,l) = lap_tr_poi3(s1(j),s2(k),s3(l));
      end
   end
end
%
%
% Now, solve the PDE Lap U = - g
%
U = zeros(m1,m2,m3);
for n=1:8
   if n == 1 
     A=X1; B=X2; C=X3;
   elseif n == 2
     A=X1; B=X2; C=Y3;
   elseif n == 3
     A=X1; B=Y2; C=X3;
   elseif n == 4 
     A=X1; B=Y2; C=Y3;
   elseif n == 5
     A=Y1; B=X2; C=X3;
   elseif n == 6 
     A=Y1; B=X2; C=Y3;
   elseif n == 7
     A=Y1; B=Y2; C=X3;
   else
     A=Y1; B=Y2; C=Y3;
   end
   U = U + conv3_vec(A,m1,B,m2,C,m3,G,g);
end
%
UU = real(U);
clear U
V1 = UU(:,:,M3+1);
surf(z2,z1,V1);
pause
for j=1:m1
   for k=1:m2
      for l=1:m3
         VV(l,j,k) = UU(j,k,l);
         WW(k,l,j) = UU(j,k,l);
      end
   end
end
V2 = VV(:,:,M2+1);
surf(z1,z3,V2);
pause
V3 = WW(:,:,M1+1);
surf(z2,z3,V3);
pause
clear V1
clear VV
clear V2
clear WW
clear V3
W = UU(:,M2+1,M3+1);
plot(z1,W)


