%
% `psi7_1.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
% This returns 
%
%  psi7'(w) 
%
%  =  V^2 e^w (V/U - U/V)/(e^w + V/U)^2
%
% with  U = exp(i u/2), V = exp(i v/2)
% 
% since 
%
%  psi7(w) =  V^2 (e^w + U/V)/(e^w + V/U)
%  
function y = psi7_1(u,v,w) 
%
U = exp(i*u/2);
V = exp(i*v/2);
x = exp(w);
y = V^2*x*(V/U-U/V)/(x+V/U)^2;
