%
% `q_both7.m'
%
%  This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
function [p,pp,q,qp] = q_both7(u,v,x)
%
% This routine is used for integration 
% via algorithm 1.5.18 of an integral 
% over the arc {z = e^(it) : u < t < v}
% of a function that satisfies the conditions 
% of the transformation # 7 in Sec. 1.5.3.
%
U = exp(i*u/2);
V = exp(i*v/2);
p = VV*(x + U/V)/(x + V/U);
pp = V^2*x*(V/U-U/V)/(x+V/U)^2;
p = U^2*(x + V/U)/(x+U/V);
qq = U^2*x*(U/V-V/U)/(x+U/V)^2;

