%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% sinc points                                                            %

k1=-M(1)*h(1):h(1):N(1)*h(1);
k2=-M(2)*h(2):h(2):N(2)*h(2);


z1=invphi1(k1);
z2=invphi2(k2);

z1=z1';				% column vectors of sinc points
z2=z2';



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% decomposition of matrizes A1,..., A4                                   %

[delta1,delta2]=matrix(m(1)-1);
[X1,Lambda1]=eig(h(1)*toeplitz(delta1,delta2)*diag(1./dphi1(k1)));
[delta1,delta2]=matrix(m(2)-1);
[X2,Lambda2]=eig(h(2)*toeplitz(delta1,delta2)*diag(1./dphi2(k2)));


lambda1=diag(Lambda1)
lambda2=diag(Lambda2)

clear Lambda1 Lambda2 ;



[L1,U1]=lu(X1);	
[L2,U2]=lu(X2);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% algorhitm for the different integral combinations                      % 
%                                                                        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  I1, I2
%

algorithm_2_dim
q(:,4)
p=q;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Replace I1 by I1^T 			(I1^T,I2)                     %
%
[delta1,delta2]=matrix(m(1)-1);
[X1,Lambda1]=eig(h(1)*(toeplitz(delta1,delta2)).'*diag(1./dphi1(k1)));

lambda1=diag(Lambda1);
clear Lambda1

[L1,U1]=lu(X1);	


algorithm_2_dim
q(:,4)
p=p+q;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Replace I2 by I2^T			(I1^T,I2^T)                   %
%
[delta1,delta2]=matrix(m(2)-1);
[X2,Lambda2]=eig(h(2)*(toeplitz(delta1,delta2)).'*diag(1./dphi2(k2)));

lambda2=diag(Lambda2);
clear Lambda2

[L2,U2]=lu(X2);


algorithm_2_dim
q(:,4)
p=p+q;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Replace I1^T by I1			(I1,I2^T)                   % 
%
[delta1,delta2]=matrix(m(1)-1);
[X1,Lambda1]=eig(h(1)*toeplitz(delta1,delta2)*diag(1./dphi1(k1)));

lambda1=diag(Lambda1);
clear Lambda1

[L1,U1]=lu(X1);	


algorithm_2_dim
q(:,4)
p=p+q;

toc

