time=zeros(4,1);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% sinc points                                                            %

k1=-M(1)*h(1):h(1):N(1)*h(1);
k2=-M(2)*h(2):h(2):N(2)*h(2);
k3=-M(3)*h(3):h(3):N(3)*h(3);


z1=invphi1(k1);
z2=invphi2(k2);
z3=invphi3(k3);

z1=z1';				% column vectors of sinc points
z2=z2';
z3=z3';



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% decomposition of matrizes A1,..., A4                                   %

[delta1,delta2]=matrix(m(1)-1);
[X1,Lambda1]=eig(h(1)*toeplitz(delta1,delta2)*diag(1./dphi1(z1)));
[delta1,delta2]=matrix(m(2)-1);
[X2,Lambda2]=eig(h(2)*toeplitz(delta1,delta2)*diag(1./dphi2(z2)));
[delta1,delta2]=matrix(m(3)-1);
[X3,Lambda3]=eig(h(3)*toeplitz(delta1,delta2)*diag(1./dphi3(z3)));


lambda1=diag(Lambda1)
lambda2=diag(Lambda2)
lambda3=diag(Lambda3)

clear Lambda1 Lambda2 Lambda3 ;



[L1,U1]=lu(X1);	
[L2,U2]=lu(X2);
[L3,U3]=lu(X3);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% algorhitm for the different integral combinations                      % 
%                                                                        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  I1, I2,I3                                                             %
%

algorithm_3_dim
q(:,6,6)
p=q;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Replace I1 by I1^T 			(I1^T,I2,I3)                     %
%
[delta1,delta2]=matrix(m(1)-1);
[X1,Lambda1]=eig(h(1)*(toeplitz(delta1,delta2)).'*diag(1./dphi1(z1)));

lambda1=diag(Lambda1);
clear Lambda1

[L1,U1]=lu(X1);	


algorithm_3_dim
q(:,6,6)
p=p+q;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Replace I2 by I2^T			(I1^T,I2^T,I3)                   %
%
[delta1,delta2]=matrix(m(2)-1);
[X2,Lambda2]=eig(h(2)*(toeplitz(delta1,delta2)).'*diag(1./dphi2(z2)));

lambda2=diag(Lambda2);
clear Lambda2

[L2,U2]=lu(X2);


algorithm_3_dim
q(:,6,6)
p=p+q;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Replace I3 by I3^T			(I1^T,I2^T,I3^T)                 %
%
[delta1,delta2]=matrix(m(3)-1);
[X3,Lambda3]=eig(h(3)*(toeplitz(delta1,delta2)).'*diag(1./dphi3(z3)));

lambda3=diag(Lambda3);
clear Lambda3
	
[L3,U3]=lu(X3);


algorithm_3_dim
q(:,6,6)
p=p+q;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Replace I1^T by I1			(I1,I2^T,I3^T)                   % 
%
[delta1,delta2]=matrix(m(1)-1);
[X1,Lambda1]=eig(h(1)*toeplitz(delta1,delta2)*diag(1./dphi1(z1)));

lambda1=diag(Lambda1);
clear Lambda1

[L1,U1]=lu(X1);	


algorithm_3_dim
q(:,6,6)
p=p+q;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Replace I2^T by I2			((I1,I2,I3^T)                    %
%
[delta1,delta2]=matrix(m(2)-1);
[X2,Lambda2]=eig(h(2)*toeplitz(delta1,delta2)*diag(1./dphi2(z2)));

lambda2=diag(Lambda2);
clear Lambda2
	
[L2,U2]=lu(X2);


algorithm_3_dim
q(:,6,6)
p=p+q;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Replace I1 by I1^T 			(I1^T,I2,I3^T)                   % 
%
[delta1,delta2]=matrix(m(1)-1);
[X1,Lambda1]=eig(h(1)*(toeplitz(delta1,delta2)).'*diag(1./dphi1(z1)));

lambda1=diag(Lambda1);
clear Lambda1 

[L1,U1]=lu(X1);	


algorithm_3_dim
q(:,6,6)
p=p+q;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Replace I1^T by I1 and I2 by I2^T and I3^T by I3   (I1,I2^T,I3)        %
%

[delta1,delta2]=matrix(m(1)-1);
[X1,Lambda1]=eig(h(1)*toeplitz(delta1,delta2)*diag(1./dphi1(z1)));
[delta1,delta2]=matrix(m(2)-1);
[X2,Lambda2]=eig(h(2)*(toeplitz(delta1,delta2)).'*diag(1./dphi2(z2)));
[delta1,delta2]=matrix(m(3)-1);
[X3,Lambda3]=eig(h(3)*toeplitz(delta1,delta2)*diag(1./dphi3(z3)));

lambda1=diag(Lambda1);
lambda2=diag(Lambda2);
lambda3=diag(Lambda3);
clear Lambda1 Lambda2 Lambda3

[L1,U1]=lu(X1);	
[L2,U2]=lu(X2);
[L3,U3]=lu(X3);

algorithm_3_dim
q(:,6,6)
p=p+q;

toc


