
%
% `wavelet_basis_even_half_sin.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
function [w] = wavelet_basis_even_half_sin(P,N,x)
%
% Here wavelet_basis_even_half computes a 
% vector of N functions w_j(x)
% for approximating the periodic of 
% period P  function f on [0,P/2] via the 
% formula (1.4.18)
%
% Set 
%
% M = 2N and 
% h = P/M
%
% See Corollary 1.4.4(ii).
%
M = 2*N;
h = P/M;
v = wavelet_basis_even_half(P,N,x);
%
for j=1:N
    w(j) = v(j) - v(M+1-j);
end
%

