%
% `wavelet_even_int_Int_m.m'
%
function [B] = wavelet_even_int_Int_m(a,b,N)
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
% Wavelet_even_int_Int_m.m computes the 
% matrix B = [B_{jk}] of order Mp1 = 2N+1, where,
% with P = b - a, and x_k = a + (k-1)P/(2N), 
% k=1, ..., 2N+1, we have, for k = 1 and k = Mp1,
% B_{jk} = 1/2(E_e(N,P,b-x_k) - E_e(N,P,x_j-x_k)),
% while for k in [2,2N], 
% B_{jk} = E_e(N,P,b-x_k) - E_e(N,P,x_j-x_k),
% See (1.4.93).
%
P = b - a;
M = 2*N;
Mp1 = M+1;
h = P/M;
d = ones(Mp1,1);
d(1) = 0.5;
d(Mp1) = 0.5;
D = diag(d);
%
for k=1:Mp1
    x(k) = a + (k-1)*h;
end
%
for k=1:Mp1;
    bb = waveletint_e(N,P,b-x(k));
    for j=1:Mp1;
        B(j,k) = bb - waveletint_e(N,P,x(j)-x(k));
    end
end
%
B = B*D;
