%
% `wavelet_main_green_int.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
% This is a main program for testing out 
% some periodic basis functions defined 
% in the routine wavelet_green_basis_int.m
% 
% We interpolate here the function exp(x)
% on [0,1], which is discontinuous at the
% integers, when considered as a periodic
% function of period 1 on the real line.
%
clear all
%
beta = 0.95;
M = 40;
P = 1;
h = P/M;
yy = h^(beta);
%
for j=1:M+1
    t = (j-1)*h;
    z(j) = t;
f1(j) = exp(t);
f2(j) = 2*sin(2*pi*t) + 3*cos(2*pi*t);
end
%
g1_exact = f1.';
g2_exact = f2.';
%
step = P/300;
for j = 1:301
    y = (j-1)*step;
    x(j) = y;
    vec = wavelet_green_basis_int(P,M,yy,y);
    g1_approx(j) = vec*g1_exact;
    g2_approx(j) = vec*g2_exact;
 end
%
plot(z,g1_exact,'o',x,g1_approx,'-');
pause
figure(1) 
title('Greens Function-Wavelet Approx. of $e^x$')
pause
% print -dps2 Greens_wavelet_appr_exp.ps
plot(z,g2_exact,'o',x,g2_approx,'-');
figure(2)
title('Greens Function-Wavelet Approx of $a*sin(2\pi t + b)')
%print -dps2 Greens_wavelet_appr_periodic
%
