%
% `wavelet_main_odd_int.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
% This is a main program for testing out 
% some periodic basis functions defined 
% in the routine wavelet_basis_odd_int.m
%
% We interpolate here the function exp(x) 
% on [0,1], which is discontinuous at the 
% integers, when considered as a periodic 
% function of period 1 on the real line.
%
clear all
%
N = 40;
M = 2*N+1;
P = 1;
h = P/M;
%
for j=1:M+1
z(j) = (j-1)*h;
f(j) = exp(z(j));
end
%
g_exact = f.';
%
step = P/300;
for j = 1:301
    y = (j-1)*step;
    x(j) = y;
    vec = wavelet_basis_odd_int(P,N,y);
    g_approx(j) = vec*g_exact; 
 end
%
plot(z,g_exact,'o',x,g_approx,'-');

