%
% 'weights2.m'
%
% This program is copyrighted by SINC, LLC
% an belongs to SINC, LLC
%
function [w] = weights2(a,b,M,N,h)
%
% Here, the formula is 
%
%    w(j) = h*(b-a)*e^{j*h})/(1 + e^{j*h})^2
%
% for j = -M, ..., N .  This program thus 
%
% thus computes a vector of m = M+N+1 
% 
% values.  See Example 4.3.5, this tutorial.
%
m = M+N+1;
bmah = (b-a)*h;
T =exp(h);
TT = 1/T^M;
for j=1:m
    w(j) = bmah*TT/(1+TT)^2;
    TT = T*TT;
end
%    
