%
% 'weights3.m'
%
% This program is copyrighted by SINC, LLC
% an belongs to SINC, LLC
%
function [w] = weights3(M,N,h)
%
% Here, the formula is 
%
%    w(j) = h*e^{j*h}
%
% for j = -M, ..., N .  This program thus 
%
% thus computes a vector of m = M+N+1 
% 
% values.  See Example 4.3.6, this tutorial.
%
m = M+N+1;
T = exp(h);
TT = 1/T^M;
for j=1:m
    w(j) = TT*h;
    TT = T*TT;
end
    
